function Dof(){}
function Cqf(){}
function Opf(a){this.a=a}
function $pf(a){this.a=a}
function Xpf(a,b){Bof(a.a,b)}
function Wpf(a,b){Bof(a.c,b)}
function Bof(a,b){$cf(a.a,b)}
function Ypf(){NXd.call(this)}
function Vpf(a){adf(a.a.a);adf(a.c.a)}
function Lqf(a){var b;if(!a.g){b=new Ypf;a.g=b}return a.g}
function Ipf(a){var b;Vpf(a.A);b=Tyh(a.a,Wcf(),sL(x_c,huj,1,[]));N4i(D4i(b,VCj),HXj);V4i(D4i(b,IXj),true);Ckj(new Ujj(b),new Opf(a))}
function Jpf(a,b,d,e,g){s7d.call(this,a,b,d,e);this.c=g;this.a=(new bZi(GWb,(czh(),Zyh).Mc(GWb),bzh.Mc(GWb))).a;this.b=new qZi(GWb)}
function Bqf(a){var b;b=sL(T_c,auj,196,[new Ydf(jUj,'Application Failures'),new Ydf(lUj,'Resource Failures')]);AWd();a.a=hdf(new idf('Failure Origin',cYj),b);return _cf(a.a)}
function Kqf(a){var b;if(!a.f){b=new Jpf(HDd(tae(a.a)),Lqf(a),Jqf(a),(Rkj(_be(a.a)),Ulj(bce(a.a))),(c$i(Zbe(a.a)),fKg(nbe(a.a))));TDd((uae(a.a),b),QEd(uae(a.a)));a.f=b}return a.f}
function Cof(a){var b,d;d=new Ydf(cUj,'Number of Transactions');b=sL(T_c,auj,196,[(d.c=true,d),Kdf(new Ydf(eUj,'Commited'),d),Kdf(new Ydf(gUj,'Aborted'),d),Kdf(new Ydf(aUj,'Timed Out'),d)]);AWd();a.a=hdf(new idf('Success Ratio',cYj),b);return _cf(a.a)}
function Npf(a,b){var d,e;e=wkj(b);if(e.b.ZM(qDj)&&D4i(e,qDj).b.b!=(Zij(),Yij)&&!GNd(D4i(e,qDj).b.Ze(),rDj)){cd('Failed to load TX metrics: '+F4i(e))}else{d=gZi(a.a.b,D4i(e,cDj));Xpf(a.a.A,new Scf(sL(B$c,juj,-1,[d.yF(),d.sF(),d.qF(),d.xF()])));Wpf(a.a.A,new Scf(sL(B$c,juj,-1,[d.rF(),d.wF()])))}}
G1c(2683,1,{},Dof);_.a=null;G1c(2705,1390,ivj,Jpf);_.Ri=function(){this.A.b=this;r7d(this,_wh(Ybe((AWd(),yWd).a)))};_.Wi=function(){Ipf(this)};_.$i=function(){Etf(this.c,this)};G1c(2707,1643,{},Opf);_.dh=function(a){Npf(this,a)};G1c(2710,1197,Rvj,Ypf);_.Ah=function(){var a,b;b=new Fld(hYj);Ky((ked(),b.gb),iYj);b.gb.style[Yyj]=(TB(),fzj);b.gb.style[bzj]=-80+(PC(),Kxj);b.gb.style[jYj]=kYj;lA(b.gb.style,JA());b.gb.style[azj]=lYj;Iq(b,(AWd(),'refreshBtnTXMetricViewImp'));b.th(new $pf(this));this.a=new Dof;this.c=new Cqf;a=BAe(BAe(BAe(EAe(FAe(IAe(new KAe,i1j),m1j),'These metrics reflect the current state of the transaction subsystem. If no metrics are shown, you might need to enable statistics for the transaction subsystem.'),Hwj,b),'Executions',Cof(this.a)),'Rollbacks',Bqf(this.c));return CAe(a)};G1c(2711,1,vuj,$pf);_.he=function(a){Ipf(this.a.b)};G1c(2718,1,{},Cqf);_.a=null;G1c(2723,1,Qvj);_.pd=function(){pFd(this.b,Kqf(this.a.a))};var fub=iMd(2705),cub=iMd(2707),hub=iMd(2710),gub=iMd(2711),Htb=iMd(2683),qub=iMd(2718);Cwj(so)(75);